﻿using Infragistics.Win.UltraWinSchedule;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UltraGanttViewEventFire
{
    public class GanttData
    {
        public static DataSet theDataSet = new DataSet();

        public static DataSet GetAppointments()
        {
            string projectKey = "projectKey";

            DataTable theProjects = theDataSet.Tables.Add("Projects");
            theProjects.Columns.Add("ProjectID");
            theProjects.Columns.Add("ProjectKey");
            theProjects.Columns.Add("ProjectName");
            theProjects.Columns.Add("ProjectStartTime", typeof(DateTime));

            theProjects.Rows.Add(new Object[] { Guid.NewGuid(), projectKey, "QuarterlyProject", DateTime.Today });

            DataTable theTasks = theDataSet.Tables.Add("Tasks");
            theTasks.Columns.Add("TaskID");
            theTasks.Columns.Add("ProjectKey");
            theTasks.Columns.Add("TaskName");
            theTasks.Columns.Add("TaskStartTime", typeof(DateTime));
            theTasks.Columns.Add("TaskDuration", typeof(TimeSpan));
            theTasks.Columns.Add("ParentTaskID");
            theTasks.Columns.Add("Constraint", typeof(object));
            theTasks.Columns.Add("TaskPercentComplete");
            theTasks.Columns.Add("AllProperties", typeof(Byte[]));

            Guid planningTaskid = Guid.NewGuid();
            theTasks.Rows.Add(new Object[] { planningTaskid, projectKey, "Planning", DateTime.Now, TimeSpan.FromDays(8), null, TaskConstraint.StartNoEarlierThan, null });
            theTasks.Rows.Add(new Object[] { Guid.NewGuid(), projectKey, "Prepare Budget", DateTime.Now, TimeSpan.FromDays(7), planningTaskid, TaskConstraint.StartNoEarlierThan, 100 });
            theTasks.Rows.Add(new Object[] { Guid.NewGuid(), projectKey, "Allocate Teams", DateTime.Now.AddDays(2), TimeSpan.FromDays(3), planningTaskid, TaskConstraint.StartNoEarlierThan, null });
            Guid implementationTaskid = Guid.NewGuid();
            theTasks.Rows.Add(new Object[] { implementationTaskid, projectKey, "Implementation", DateTime.Now.AddDays(6), TimeSpan.FromDays(16), null, TaskConstraint.StartNoEarlierThan, null });

            Guid installationTaskid2 = Guid.NewGuid();
            theTasks.Rows.Add(new Object[] { installationTaskid2, projectKey, "Installations", DateTime.Now.AddDays(6), TimeSpan.FromDays(2), implementationTaskid, TaskConstraint.StartNoEarlierThan, 60 });

            theDataSet.Relations.Add(theProjects.Columns["ProjectKey"], theTasks.Columns["ProjectKey"]);

            return theDataSet;
        }
    }
}
